Bug 1124610 - [abrt] pdfchain: g_sequence_get_length(): pdfchain killed by SIGSEGV
Summary: [abrt] pdfchain: g_sequence_get_length(): pdfchain killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfchain
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2f4e525d2b4792a9051bc22a758...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 22:22 UTC by Avvocato Andrea Marengoni
Modified: 2015-06-29 21:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:50:40 UTC


Attachments (Terms of Use)
File: backtrace (33.66 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: core_backtrace (14.74 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: dso_list (12.14 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: environ (1.48 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: exploitable (93 bytes, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: maps (60.29 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: open_fds (1.95 KB, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details
File: var_log_messages (577 bytes, text/plain)
2014-07-29 22:22 UTC, Avvocato Andrea Marengoni
no flags Details

Description Avvocato Andrea Marengoni 2014-07-29 22:22:23 UTC
Version-Release number of selected component:
pdfchain-0.3.3-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pdfchain
crash_function: g_sequence_get_length
executable:     /usr/bin/pdfchain
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_sequence_get_length at gsequence.c:1256
 #1 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2592
 #6 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #7 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #8 remove_file at gtkfilesystemmodel.c:1912
 #9 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:522
 #12 g_cclosure_marshal_generic_va at gclosure.c:1550
 #13 _g_closure_invoke_va at gclosure.c:840

Comment 1 Avvocato Andrea Marengoni 2014-07-29 22:22:27 UTC
Created attachment 922365 [details]
File: backtrace

Comment 2 Avvocato Andrea Marengoni 2014-07-29 22:22:28 UTC
Created attachment 922366 [details]
File: cgroup

Comment 3 Avvocato Andrea Marengoni 2014-07-29 22:22:29 UTC
Created attachment 922367 [details]
File: core_backtrace

Comment 4 Avvocato Andrea Marengoni 2014-07-29 22:22:31 UTC
Created attachment 922368 [details]
File: dso_list

Comment 5 Avvocato Andrea Marengoni 2014-07-29 22:22:32 UTC
Created attachment 922369 [details]
File: environ

Comment 6 Avvocato Andrea Marengoni 2014-07-29 22:22:33 UTC
Created attachment 922370 [details]
File: exploitable

Comment 7 Avvocato Andrea Marengoni 2014-07-29 22:22:34 UTC
Created attachment 922371 [details]
File: limits

Comment 8 Avvocato Andrea Marengoni 2014-07-29 22:22:36 UTC
Created attachment 922372 [details]
File: maps

Comment 9 Avvocato Andrea Marengoni 2014-07-29 22:22:38 UTC
Created attachment 922373 [details]
File: open_fds

Comment 10 Avvocato Andrea Marengoni 2014-07-29 22:22:39 UTC
Created attachment 922374 [details]
File: proc_pid_status

Comment 11 Avvocato Andrea Marengoni 2014-07-29 22:22:40 UTC
Created attachment 922375 [details]
File: var_log_messages

Comment 12 Avvocato Andrea Marengoni 2014-09-25 10:54:01 UTC
Another user experienced a similar problem:

Actually I don't know if it's a bug; If you delete PDFs after they were United, pdfchain crashes ... I learned most of the time to delete them after closing the program and there is no problem, but sometimes I forget ... congratulations anyway for the excellent quality of Fedora; do well to release it only when it is ready. I have been using Debian for a while and I assure you that the distance between the two distributions, from this point of view, isn't abysmal, .... (sorry English probably lousy; use a translator because at school, although if you wish, I could never learn it...) 


reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pdfchain
crash_function: g_sequence_get_length
executable:     /usr/bin/pdfchain
kernel:         3.16.2-201.fc20.x86_64
package:        pdfchain-0.3.3-5.fc20
reason:         pdfchain killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 12:30:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:50:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.